<?php
/*
Plugin Name: 百度快速收录
Version: 1.0
Plugin URL: http://uqseo.com
Description: 百度快速收录API推送，新增文章自动推送到百度，辅助加快网站收录排名.
Author: 冉冬镜
Author URL: http://uqseo.com
*/
!defined('EMLOG_ROOT') && exit('access deined!');
//添加导航
function bd_fast_menu(){
echo '<div class="sidebarsubmenu" id="baidu_xzh_menu"><a href="./plugin.php?plugin=bd_fast">百度快速收录推送</a></div>';
}
addAction('adm_sidebar_ext', 'bd_fast_menu');

function bd_fast_main($logid){//提交链接
	$logid_file = dirname(__FILE__).'/logid_log.txt';
	$logids = file_get_contents($logid_file);
	$logids_info = explode("|", $logids);
	$is_newlog = !in_array($logid, $logids_info);
	$log_model = new  Log_Model();
	$log = $log_model->getOneLogForAdmin($logid);
	include(EMLOG_ROOT.'/content/plugins/bd_fast/bd_fast_config.php');
	if($log['hide'] !== 'y' && $config["api"] !== "" && $is_newlog ){
		$url = Url::log($logid);
		$api = $config["api"];
		$ch = curl_init();
		$options =  array(
			CURLOPT_URL => $api,
			CURLOPT_POST => true,
			CURLOPT_RETURNTRANSFER => true,
			CURLOPT_POSTFIELDS => $url,
			CURLOPT_HTTPHEADER => array('Content-Type: text/plain')
			);
		curl_setopt_array($ch, $options);
		$result = curl_exec($ch);
		$result = json_decode($result, true);
		if ($result) {
			$time = bdnowtime();
			$bdxzh_file = dirname(__FILE__).'/fastdaily_log.txt';	
			if ($result['remain_daily']) {
				$remain_realtime = "1";
			}else {
				$remain_realtime = "0||".$result["message"];
			}			
			$handle = fopen($bdxzh_file,"a");
			fwrite($handle,"$remain_realtime||$time||$url\r\n");
			fclose($handle);

			$handle_logid = fopen($logid_file ,"a");
			fwrite($handle_logid,"$logid|");
			fclose($handle_logid);
		}
	}
}
addAction("save_log","bd_fast_main");

function bdnowtime($time = ''){
	date_default_timezone_set('Asia/Shanghai');
	if($time != ''){
		$date = date("Y-m-d H:i:s", $time);
	}else{
		$date = date("Y-m-d H:i:s");
	}
	return $date;  
}